bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#16075: ls/stat-free-color.sh fails on AArch64 architecture


From: Bernhard Voelker
Subject: bug#16075: ls/stat-free-color.sh fails on AArch64 architecture
Date: Fri, 06 Dec 2013 17:48:40 +0100
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:24.0) Gecko/20100101 Thunderbird/24.1.0

On 12/06/2013 04:50 PM, Marcin Juszkiewicz wrote:
> Test checks for use of stat,lstat,stat64,lstat64 syscalls. But on
> AArch64 it is using statfs64 and newfstatat calls so test fails.
> 
> log and log-help attached
> 
> Commands used:
> strace -o log ls --color=always >/dev/null
> strace -o log-help ls --help >/dev/null

Thanks for the bug report.
Does adding both system calls as in the following patch help?

Thanks & have a nice day,
Berny


diff --git a/tests/ls/stat-free-color.sh b/tests/ls/stat-free-color.sh
index 3aacf96..145c566 100755
--- a/tests/ls/stat-free-color.sh
+++ b/tests/ls/stat-free-color.sh
@@ -53,10 +53,11 @@ eval $(dircolors -b color-without-stat)
 # To avoid counting those, first get a baseline count by running
 # ls with only the --help option.  Then, compare that with the
 # invocation under test.
-strace -o log-help -e stat,lstat,stat64,lstat64 ls --help >/dev/null || fail=1
+stats='stat,lstat,stat64,lstat64,statfs64,newfstatat'
+strace -o log-help -e "$stats" ls --help >/dev/null || fail=1
 n_lines_help=$(wc -l < log-help)

-strace -o log -e stat,lstat,stat64,lstat64 ls --color=always . || fail=1
+strace -o log -e "$stats" ls --color=always . || fail=1
 n_lines=$(wc -l < log)

 n_stat=$(expr $n_lines - $n_lines_help)





reply via email to

[Prev in Thread] Current Thread [Next in Thread]